package ru.dbotthepony.mc.otm.server.world.feature

import net.minecraft.world.level.block.Block
import net.minecraft.world.level.block.state.BlockState
import net.minecraft.world.level.levelgen.feature.Feature
import net.minecraft.world.level.levelgen.feature.FeaturePlaceContext
import net.minecraft.world.level.levelgen.feature.configurations.FeatureConfiguration
import ru.dbotthepony.mc.otm.registry.game.MBlocks

object DebugPlacerFeature : Feature<DebugPlacerFeature.Config>(BlockState.CODEC.xmap(::Config, Config::blockState)) {
	data class Config(val blockState: BlockState) : FeatureConfiguration

	override fun place(context: FeaturePlaceContext<Config>): Boolean {
		return context.level().setBlock(context.origin(), context.config().blockState, Block.UPDATE_CLIENTS)
	}
}
